<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.predict.mapper.NoscaleCwDaPfPeriodDataMapper">

    <resultMap type="NoscaleCwDaPfPeriodData" id="NoscaleCwDaPfPeriodDataResult">
        <result property="wfPrCwireNo" column="wf_pr_cwire_no"/>
        <result property="modelNo" column="model_no"/>
        <result property="dataTime" column="data_time"/>
        <result property="value" column="value"/>
        <result property="dataFlag" column="data_flag"/>
    </resultMap>

    <sql id="selectNoscaleCwDaPfPeriodDataVo">
        select wf_pr_cwire_no, model_no, data_time, value, data_flag from noscale_cw_da_pf_period_data
    </sql>

    <select id="selectNoscaleCwDaPfPeriodDataList" parameterType="NoscaleCwDaPfPeriodData"
            resultMap="NoscaleCwDaPfPeriodDataResult">
        <include refid="selectNoscaleCwDaPfPeriodDataVo"/>
        <where>
            <if test="wfPrCwireNo != null ">and wf_pr_cwire_no = #{wfPrCwireNo}</if>
            <if test="modelNo != null ">and model_no = #{modelNo}</if>
            <if test="value != null ">and value = #{value}</if>
            <if test="dataFlag != null ">and data_flag = #{dataFlag}</if>
            <if test="params.beginDataTime != null and params.beginDataTime != '' and params.endDataTime != null and params.endDataTime != ''">
                and data_time between to_date(#{params.beginDataTime},'yyyy-MM-dd HH24:MI:SS') and
                to_date(#{params.endDataTime},'yyyy-MM-dd HH24:MI:SS')
            </if>
            <if test="dataTime != null ">and data_time = #{dataTime}</if>
        </where>
        order by data_time asc
    </select>

    <select id="selectNoscaleCwDaPfPeriodDataById" parameterType="Long" resultMap="NoscaleCwDaPfPeriodDataResult">
        <include refid="selectNoscaleCwDaPfPeriodDataVo"/>
        where wf_pr_cwire_no = #{wfPrCwireNo}
    </select>

</mapper>